Subject: Re: bug#49770: [PATCH] rmailsum: error when message contains no From header

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Jul 2021 18:41:41 +0300

> From: Nick Gasson <[email-masked]>
> Date: Thu, 29 Jul 2021 21:24:13 +0800
> Cc: Nick Gasson <[email-masked]>
> 
> If you open a mbox file in rmail-mode containing a message without a
> "From" header and press "h" to display the summary, the following
> error occurs:
> 
>   Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>     string-match("\n" nil)
>     rmail-header-summary()
>     rmail-create-summary(1 nil nil 101)
>     rmail-create-summary-line(1)
>     rmail-get-summary(1)
>     rmail-new-summary-1("All" (rmail-summary) nil nil)
>     rmail-new-summary("All" (rmail-summary) nil)
>     rmail-summary()
>     funcall-interactively(rmail-summary)
>     call-interactively(rmail-summary nil nil)
> 
> * lisp/mail/rmailsum.el (rmail-header-summary): Check if from header
> is set before scanning it for newlines.

Thanks, installed (with a tiny change: I prefer an explicit 'stringp'
test where we must have a string).

This contribution was small enough for us to be able to receive it
without a copyright assignment, but if you'd like to be able to
contribute in the future without restrictions, I suggest to start your
copyright assignment paperwork rolling.  If you'd like that, I will
send you the form to fill and the instructions to go with it.